std::experimental::any(3)

NAME
std::experimental::any -

SYNOPSIS

  Public Member Functions
any () noexcept
any (const any &__other)
any (any &&__other) noexcept
template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>> any (_ValueType &&__value)
~any ()
void clear () noexcept
bool empty () const noexcept
any & operator= (const any &__rhs)
any & operator= (any &&__rhs) noexcept
template<typename _ValueType > any & operator= (_ValueType &&__rhs)
void swap (any &__rhs) noexcept
const type_info & type () const noexcept

  Static Public Member Functions
template<typename _Tp > static constexpr bool __is_valid_cast ()

  Friends
template<typename _Tp > void * __any_caster (const any *__any)

Detailed Description

A type-safe container of any type. An any object's state is either empty or it stores a contained object of CopyConstructible type.

Definition at line 88 of file any.

Constructor & Destructor Documentation

  std::experimental::any::any () [inline], [noexcept]

Default constructor, creates an empty object.

Definition at line 119 of file any.

Referenced by operator=().

  std::experimental::any::any (const any &__other) [inline]

Copy constructor, copies the state of __other.

Definition at line 122 of file any.

References empty().

  std::experimental::any::any (any &&__other) [inline], [noexcept]

Move constructor, transfer the state from __other. Postcondition:
    __other.empty() (not guaranteed for other implementations)

Definition at line 137 of file any.

  template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>> std::experimental::any::any (_ValueType &&__value) [inline]

Construct with a copy of __value as the contained object.

Definition at line 145 of file any.

  std::experimental::any::~any () [inline]

Destructor, calls clear()

Definition at line 154 of file any.

References clear().

Member Function Documentation

  void std::experimental::any::clear () [inline], [noexcept]

If not empty, destroy the contained object.

Definition at line 187 of file any.

References empty().

Referenced by ~any().

  bool std::experimental::any::empty () const [inline], [noexcept]

Reports whether there is a contained object or not.

Definition at line 206 of file any.

Referenced by any(), clear(), and type().

  any& std::experimental::any::operator= (const any &__rhs) [inline]

Copy the state of.

Definition at line 159 of file any.

References any().

  any& std::experimental::any::operator= (any &&__rhs) [inline], [noexcept]

Move assignment operator. Postcondition:
    __rhs.empty() (not guaranteed for other implementations)

Definition at line 170 of file any.

References any().

  template<typename _ValueType > any& std::experimental::any::operator= (_ValueType &&__rhs) [inline]

Store a copy of __rhs as the contained object.

Definition at line 178 of file any.

References any().

  void std::experimental::any::swap (any &__rhs) [inline], [noexcept]

Exchange state with another object.

Definition at line 197 of file any.

  const type_info& std::experimental::any::type () const [inline], [noexcept]

The typeid of the contained object, or typeid(void) if empty.

Definition at line 210 of file any.

References empty().

Author

Generated automatically by Doxygen for libstdc++ from the source code.